<?php


namespace Shop\Application\Shopping\CreateProviderOrdersFromCustomerOrderItem;

/**
 * Class CreateProviderOrdersFromCustomerOrderItemCommand
 * @package Shop\Application\Shopping\CreateProviderOrdersFromCustomerOrderItem
 */
class CreateProviderOrdersFromCustomerOrderItemCommand
{

    protected $ids = [];

    protected $result;

    public function __construct(array $ids, Result $result)
    {
        $this->ids = $ids;
        $this->result = $result;
    }

    /**
     * @return array
     */
    public function getIds(): array
    {
        return $this->ids;
    }

    /**
     * @return mixed
     */
    public function getResult(): Result
    {
        return $this->result;
    }

}